import request from '@/utils/request'


export function getFilenameNew() {return request({url: '/ydjhImportNew/getFileNameList', method: 'get',})}
export function listByFileNameNew(data) {return request({url: '/ydjhImportNew/listByFileName', method: 'get', params:data})}
export function tjNew(data) {return request({url: '/ydjhImportNew/tj', method: 'get', params:data})}
export function shNew(data) {return request({url: '/ydjhImportNew/sh', method: 'get', params:data})}


export function list(data) {return request({url: '/dmSygdMx/list', method: 'get', params:data})}
export function getList(data) {return request({url: '/dmSygdMx/getList', method: 'post', data})}
export function getSygdList(data) {return request({url: '/dmSygd/getList', method: 'post', data})}
export function tj(data) {return request({url: '/dmSygd/tj', method: 'post', params:data})}
export function sh(data) {return request({url: '/dmSygd/sh', method: 'post', params:data})}
export function saveByDcch(data) {return request({url: '/dmSygdMx/saveByDcch', method: 'post', data})}
export function symxhz(data) {return request({url: '/dmSygdMx/symxhz', method: 'post', data})}
export function sygdPC() {return request({url: '/dmSygdMx/sygdPC', method: 'post'})}
export function tqSygd(data={}) {return request({url: '/dmSygdMx/tqSygd', method: 'get',params:data})}
export function getCnsb() {return request({url: '/dmSygdMx/getCnsb', method: 'post'})}
export function saveMxList() {return request({url: '/dmSygdMx/saveList', method: 'post'})}
export function getYdjh(data) {return request({url: '/dmYdjh/getList', method: 'post', data})}
export function getListhz(data) {return request({url: '/dmYdjh/getListhz', method: 'post', data})}

export function getListhzBymx(data) {return request({url: '/dmYdjh/getListhzBymx', method: 'post', data})}

export function tjydjh(data) {return request({url: '/dmYdjh/tj', method: 'post', data})}
export function hz(data) {return request({url: '/dmYdjh/hz', method: 'post', params:data})}
export function ydjhxf(data) {return request({url: '/dmYdjh/xf', method: 'post', data})}

//采购计划到货情况
export function cgjhdhqk(data={}) {return request({url: '/dmSygdMx/cgjhdhqk', method: 'post',data})}

export function saveData(data={}) {return request({url: '/dmYdjh/save', method: 'post',data})}

//获取导入的月度计划文件名称
export function getFilename() {return request({url: '/dmSygdMx/getFileNameList', method: 'get',})}

export function listByFileName(data) {return request({url: '/dmSygdMx/listByFileName', method: 'get', params:data})}

